<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	
    <title>Graffiti</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
  </head>
  <body>
    <div class="row">
      <!-- new building -->
      <div class="col-sm-12">
            <h1>Ajouter une demande</h1>
            <div class="mx-auto" style="width: 300px;">

                <!--<div class="radio">
                    <label><input type="radio" name="optradio" checked>Option 1</label>
                  </div>
                  <div class="radio">
                    <label><input type="radio" name="optradio">Option 2</label>
                  </div>-->
                  <section id="info_building" style="display: inline-block; text-align: left"></section>

            <form method="post" enctype="multipart/form-data" action="/upload" id="form_new_graffiti">
                  <input type="file" name="file" id="picture">
                  <input class="form-control" type="text" id="location" placeholder="0->S/1->E/2->W/3->N"/>
                  <input class="form-control" type="text" id="floor" placeholder="Etage du batiment"/>
                <input type="submit" value="Submit">
            </form>

            <!--<form class="justify-content-center" action="/" method="post" id="form_new_graffiti">
                  <input class="form-control" type="text" id="location" placeholder="0->S/1->E/2->W/3->N"/>
                  <input class="form-control" type="text" id="floor" placeholder="Etage du batiment"/>
                  <input class="btn btn-success" type="submit" id="send" value="Valider"/>
            </form>-->
            </div>
        </div>
    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.emit('info');
      socket.on('info_build', function(message)
      {
        $('#info_building').append(
          '<div class="radio"><label><input type="radio" name="graffiti" value="'+ message.id + '" checked>' + message.name + '</label></div>');
      });

      $('#form_new_graffiti').submit(function()
      {
        var radioValue = $("input[name='graffiti']:checked").val();
        console.log(radioValue);
        var location = $('#location').val();
        var floor = $('#floor').val();
        var picture = $('#picture').val();
        socket.emit('new_graffiti', radioValue, location, floor, picture);
        return false; 
      });

      socket.on('validate', function(message)
      {
        if (message.ok == true)
        {
          window.location.href = "http://localhost:8080/profile";
        }
        else
        {
          console.log(message.error);
        }
      });

    </script>
  </body>
</html>
